%.mzn: %.plz $(root)/packing.plz
	clp2zinc -I $(root) $<

%.fzn: %.mzn %.dzn $(root)/non_overlap.mzn
	mzn2fzn -I $(root) $< $(<:.mzn=.dzn)

%.c: %.fzn $(root)/zinc2cmaes.native
	$(root)/zinc2cmaes $<

%.out: %.c $(root)/cmaes_fit.c $(root)/non_overlap_c.c
	gcc -o $@ -I $(root) -I $(root)/cmaes/ -DRESTART_COUNT=1 $(root)/cmaes_fit.c $(root)/cmaes/cmaes.c $(root)/non_overlap_c.c $< -lm

%.inc: %.out
	./$< | solns2out $(<:.out=.ozn) >$@

%.pdf: %.inc $(root)/figure.tex
	cp $< $(root)/figure.inc
	pdflatex $(root)/figure.tex
	cp $(root)/figure.pdf $@
